Skip to main content
GET
/
api
/
v1
/
subscription
/
{subscriptionId}
Get subscription details
curl --request GET \
  --url https://payments.oaknetwork.org/api/v1/subscription/{subscriptionId} \
  --header 'Authorization: Bearer <token>'
{
  "msg": "<string>",
  "data": {
    "hash_id": "<string>",
    "start_time": "2023-11-07T05:31:56Z",
    "end_time": "2023-11-07T05:31:56Z",
    "plan_hash_id": "<string>",
    "auto_renew": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Merchant authentication token. Obtained via POST /api/v1/merchant/token/grant. Pass as: Authorization: Bearer

Path Parameters

subscriptionId
string
required

Response

Subscription details

msg
string
required

Human-readable message describing the result

data
object
required

Response payload (null on error)